<?php

declare(strict_types=1);

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Services\PushNotificationsService\FCMPushNotificationsService;
use App\Services\PushNotificationsService\PushNotificationsServiceContract;

/**
 * Class ServicesServiceProvider
 *
 * @package App\Providers
 */
class ServicesServiceProvider extends ServiceProvider
{
    /**
     * @return void
     */
    public function register(): void
    {

    }

    /**
     * @return void
     */
    public function boot(): void
    {
        $this->app->bind(PushNotificationsServiceContract::class, FCMPushNotificationsService::class);
    }
}
